Package musicbrainz2 :: Module disc :: Class DiscError

[frames] | no frames]

# Class DiscError

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
             exceptions.EnvironmentError --+
                                           |
                          exceptions.IOError --+
                                               |
                                              DiscError

The Audio CD could not be read.

This may be simply because no disc was in the drive, the device name was wrong or the disc can't be read. Reading errors can occur in case of a damaged disc or a copy protection mechanism, for example.

Instance Methods
Inherited from `exceptions.IOError`: `__init__`, `__new__` Inherited from `exceptions.EnvironmentError`: `__reduce__`, `__str__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.EnvironmentError`: `errno`, `filename`, `strerror` Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`